# Submit a payout

## Request a payout

<mark style="color:green;">`POST`</mark> `https://sandbox.transfersmile.com/api/payout`

This is the base method used to request a payout. Please note each country may have its own additional requirements and will have its own payment schedules, see below for more detailed examples.

#### Headers

| Name                                            | Type   | Description                         |
| ----------------------------------------------- | ------ | ----------------------------------- |
| Content-Type<mark style="color:red;">\*</mark>  | string | application/json; charset=UTF-8     |
| AppId<mark style="color:red;">\*</mark>         | string | Your App ID in payout platform      |
| Authorization<mark style="color:red;">\*</mark> | string | SHA256($sorted\_params + $app\_key) |

#### Request Body

| Name                                                 | Type   | Description                                                                                   |
| ---------------------------------------------------- | ------ | --------------------------------------------------------------------------------------------- |
| name<mark style="color:red;">\*</mark>               | string | <p>Beneficiary's name<br>- Max. 100 chars - </p>                                              |
| phone                                                | string | Beneficiary's phone                                                                           |
| email                                                | string | Beneficiary's email                                                                           |
| account<mark style="color:red;">\*</mark>            | string | Beneficiary's bank account                                                                    |
| account\_type<mark style="color:red;">\*</mark>      | string | Beneficiary's bank account type                                                               |
| document\_id<mark style="color:red;">\*</mark>       | string | Beneficiary's personal identification number                                                  |
| document\_type<mark style="color:red;">\*</mark>     | string | Beneficiary's personal identification type                                                    |
| method<mark style="color:red;">\*</mark>             | string | Payout method                                                                                 |
| channel<mark style="color:red;">\*</mark>            | string | Payout channel                                                                                |
| custom\_code<mark style="color:red;">\*</mark>       | string | <p>Merchant Payout Id<br>- Max. 50 chars -</p>                                                |
| fee\_bear<mark style="color:red;">\*</mark>          | string | <p>Processing fee charges to merchant or beneficiary.<br>- One of: merchant beneficiary -</p> |
| amount<mark style="color:red;">\*</mark>             | string | <p>Payout Amount<br>- Max. 2 decimal numbers -</p>                                            |
| source\_currency<mark style="color:red;">\*</mark>   | string | <p>Merchant Account Currency<br>- Length: 3 chars - </p>                                      |
| arrival\_currency<mark style="color:red;">\*</mark>  | string | <p>Local currency<br>- Length: 3 chars - </p>                                                 |
| notify\_url<mark style="color:red;">\*</mark>        | string | <p>Where pagsmile will send Notification to.<br>- Max. 128 chars -</p>                        |
| additional\_remark<mark style="color:red;">\*</mark> | string | <p>Additional Remark<br>- Max. 40(MEX) or 80(BRA) chars -</p>                                 |
| country<mark style="color:red;">\*</mark>            | string | <p>The user's country. ISO 3166-1 alpha-3 code<br>- Length: 3 chars - </p>                    |

{% tabs %}
{% tab title="200 Request ok" %}

```
{
    "code": 200,
    "msg": "success",
    "time": 1628580845,
    "data": {
        "id": "S202108100734054iRiUZFPXfQM",
        "custom_code": "custom_code9982674851738108",
        "arrival_amount": "0.51",
        "arrival_currency": "MXN",
        "source_amount": "0.07",
        "source_currency": "USD",
        "status": "IN_PROCESSING"
    }
}
```

{% endtab %}
{% endtabs %}

## Countries

* [**Pagsmile Wallet**](https://docs.pagsmile.com/payout/submit-a-payout/pagsmile-wallet)
  * More detailed examples for submitting a payout using Pagsmile Wallet.
* [**PayPal**](https://docs.pagsmile.com/payout/submit-a-payout/paypal)
  * More detailed examples for submitting a payout using PayPal.
* [**Argentina**](https://docs.pagsmile.com/payin/submit-a-payin/argentina)
  * More detailed examples for submitting a payout in Argentina.
* [**Brazil**](https://docs.pagsmile.com/payout/submit-a-payout/brazil)
  * More detailed examples for submitting a payout in Brazil.
* [**Chile**](https://docs.pagsmile.com/payin/submit-a-payin/chile)
  * More detailed examples for submitting a payout in Chile.
* [**Colombia**](https://docs.pagsmile.com/payout/submit-a-payout/colombia/wallet)
  * More detailed examples for submitting a payout in Colombia.
* [**Ecuador**](https://docs.pagsmile.com/payin/submit-a-payin/ecuador)
  * More detailed examples for submitting a payout in Ecuador.
* [**Mexico**](https://docs.pagsmile.com/payout/submit-a-payout/mexico/spei)
  * More detailed examples for submitting a payout in Mexico.
* [**Peru**](https://docs.pagsmile.com/payin/submit-a-payin/peru)
  * More detailed examples for submitting a payout in Peru.
* [**Turkey**](https://docs.pagsmile.com/payout/submit-a-payout/turkey)
  * More detailed examples for submitting a payout in Turkey.
* [**Uruguay**](https://docs.pagsmile.com/payout/submit-a-payout/uruguay)
  * More detailed examples for submitting a payout in Uruguay.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pagsmile.com/payout/submit-a-payout.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
